Build error, maybe libsndfile related

No replies
hg87
User offline. Last seen 1 year 8 weeks ago. Offline
Joined: 2007-07-09
Posts:

on my machine everything works fine, but here i don't get it working.
i installed all build-deps for ardour, libsndfile on my own in ~/src/local, modified $PATH, $LD_LIBRARY_PATH and $PKG_CONFIG_PATH, scons checks for libsndfile and starts to build ardour.

Then i get the following error, and i know that i've seen this one on my machine a few times ago, but i can't remember the solution to fix it.

scons: `libs/midi++2/libmidi++.so' is up to date.
g++ -o libs/ardour/enums.os -c -Woverloaded-virtual -DGTK_NEW_TOOLTIP_API -DPACKAGE=\"libardour3\" -DLIBSIGC_DISABLE_DEPRECATED -DGLIBMM_EXCEPTIONS_ENABLED -DDATA_DIR=\"/usr/local/share\" -DMODULE_DIR=\"/usr/local/lib\" -DVAMP_DIR=\"/usr/local/lib/ardour3/vamp\" -DCONFIG_DIR=\"/usr/local/etc\" -DLOCALEDIR=\"/usr/local/share/locale\" -DHAVE_JACK_CLIENT_OPEN -DHAVE_JACK_RECOMPUTE_LATENCIES -DHAVE_JACK_RECOMPUTE_LATENCY -DHAVE_JACK_VIDEO_SUPPORT -DHAVE_WORDEXP -DHAVE_SYS_VFS_H -DHAVE_LV2 -O3 -fomit-frame-pointer -ffast-math -fstrength-reduce -pipe -DARCH_X86 -mmmx -m3dnow -march=i686 -msse -mfpmath=sse -DUSE_XMMINTRIN -DBUILD_SSE_OPTIMIZATIONS -Wall -DHAVE_LIBLO -Ilibs -DENABLE_NLS -DHAVE_SLV2 -D_REENTRANT -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -Ilibs -pthread -DUSE_RUBBERBAND -fPIC -Ilibs/pbd -I/usr/include/glib-2.0 -Ilibs/surfaces/control_protocol -Ilibs/taglib/headers/taglib -Ilibs/midi++2 -Ilibs/glibmm2/glib -I/home/joe/src/local/include -Ilibs/sigc++2 -Ilibs/vamp-sdk -I/usr/lib/glib-2.0/include -Ilibs/ardour -Ilibs/rubberband -Ilibs/evoral -I/usr/include/libxml2 -Ilibs/taglib/headers libs/ardour/enums.cc
In file included from libs/ardour/enums.cc:33:
libs/ardour/ardour/export_format_base.h:59: error: 'SF_FORMAT_OGG' was not declared in this scope
libs/ardour/ardour/export_format_base.h:78: error: 'SF_FORMAT_VORBIS' was not declared in this scope
scons: *** [libs/ardour/enums.os] Error 1
scons: building terminated because of errors.
joe@joe-desktop:~/src/ardour-3.0$

has anyone of you an idea what to do?
i tried to build libsndfile with --enable all, --enable-vorbis --enable-ogg installed libvorbis-dev libogg-dev and compiled libsndfile several times, but i always get the same error on building ardour.
at this time, i doubt if it is libsndfile related, or if some other missing packages causes this error.

kind regards,
Harald